JAIRY(3)

SYNOPSIS
SUBROUTINE JAIRY (X, RX, C, AI, DAI)

NAME
jairy - Subsidiary to BESJ and BESY

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (JAIRY-S, DJAIRY-D)

AUTHOR
Amos, D. E., (SNLA) Daniel, S. L., (SNLA) Weston, M. K., (SNLA)

DESCRIPTION
JAIRY computes the Airy function AI(X) and its derivative DAI(X) for ASYJY INPUT X - Argument, computed by ASYJY, X unrestricted RX - RX=SQRT(ABS(X)), computed by ASYJY C - C=2.*(ABS(X)**1.5)/3., computed by ASYJY OUTPUT AI - Value of function AI(X) DAI - Value of the derivative DAI(X)

SEE ALSO
BESJ, BESY

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
750101 DATE WRITTEN
891009 Removed unreferenced variable. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910408 Updated the AUTHOR section. (WRB)